POST api/FamilyMembers
Creates a new family member or updates an existent family member's information.
Request Information
URI Parameters
None.
Body Parameters
FamilyMemberModel| Name | Description | Type | Additional information |
|---|---|---|---|
| PatientExternalId |
Patient's unique ID on integrating system (Required). |
string |
None. |
| RelativeExternalId |
Relative's unique ID on integrating system (Required). |
string |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
globally unique identifier |
None. |
| ExternalId |
Unique ID of the model on integrating system (Required). |
string |
None. |
Request Formats
application/json, text/json
Sample:
{
"patientExternalId": "sample string 1",
"relativeExternalId": "sample string 2",
"id": "2ee07653-28e5-4318-a59b-aa458dbc86d0",
"externalId": "sample string 4"
}
application/xml, text/xml
Sample:
<FamilyMemberModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.FamilyMembers"> <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 4</ExternalId> <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">2ee07653-28e5-4318-a59b-aa458dbc86d0</Id> <PatientExternalId>sample string 1</PatientExternalId> <RelativeExternalId>sample string 2</RelativeExternalId> </FamilyMemberModel>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
FamilyMemberModel| Name | Description | Type | Additional information |
|---|---|---|---|
| PatientExternalId |
Patient's unique ID on integrating system (Required). |
string |
None. |
| RelativeExternalId |
Relative's unique ID on integrating system (Required). |
string |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
globally unique identifier |
None. |
| ExternalId |
Unique ID of the model on integrating system (Required). |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"patientExternalId": "sample string 1",
"relativeExternalId": "sample string 2",
"id": "e59e71ff-19ec-4f0b-ab92-b32f11a3bd70",
"externalId": "sample string 4"
}
application/xml, text/xml
Sample:
<FamilyMemberModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.FamilyMembers"> <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 4</ExternalId> <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">e59e71ff-19ec-4f0b-ab92-b32f11a3bd70</Id> <PatientExternalId>sample string 1</PatientExternalId> <RelativeExternalId>sample string 2</RelativeExternalId> </FamilyMemberModel>